Package: groovy.model

## [Java] Interface ValueModel

- Represents a model of a value

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Class` | `getType()`
    `Object` | `getValue()`
    `boolean` | `isEditable()`
    `void` | `setValue(Object value)`

- - ### Method Detail

    - #### public Class getType()

    - #### public Object getValue()

    - #### public boolean isEditable()

    - #### public void setValue(Object value)